############################################################
#                                                          #
#          Figure 1.5  "P-V of ideal gas & Ar"             #
#            Script for Gnuplot(ver. 5.2)                  #
#                                                          #
#   An Introduction to the Thermodynamics in Materials     #
#                  by Tadahiko Masaki CORONA PUB. CO.,LTD  #
#                                (ISBN 978-4-339-06648-7)  #
#                                                          #
############################################################

set samples 2000

set xrange[0.0:0.1]
set yrange[0:3]

set xlabel "{/Arial=14 V [m^3/mol]}"
set ylabel "{/Arial=14 P [MPa]}"
set label 1 at first 0.005,0.1 "{/Arial=12 300K}"
set label 2 at first 0.015,0.23 "{/Arial=12 1000K}"
set label 3 at first 0.04,0.6 "{/Arial=12 2000K}"

set label 4 point pointtype 7 pointsize 1 at first 0.08,2.5
set label 5 "{/Arial=12 Ar}" at first 0.085, 2.5

set arrow from 0.078, 2.25 to 0.082, 2.25 nohead
set label 6 at first 0.085, 2.25 "{/Arial=12 ideal gas}"

set linetype 1 lw 1 lc rgb "black" dt 1

R = 8.314
T1 = 300.0
T2 = 1000.0
T3 = 2000.0

plot R*T1/1000000/x notitle lt 1, \
     R*T2/1000000/x notitle lt 1, \
     R*T3/1000000/x notitle lt 1, \
     "Ar_PV_300K.dat" using (39.948/1000/$2):($1) notitle with points pointtype 7 lt 1, \
     "Ar_PV_1000K.dat" using (39.948/1000/$2):($1) notitle with points pointtype 7 lt 1, \
     "Ar_PV_2000K.dat" using (39.948/1000/$2):($1) notitle with points pointtype 7 lt 1


#--- output png format ---
set terminal png enhanced
set output "fig1_5.png"
#---------------------------------

#--- output eps format ---------------------
#set terminal postscript eps size 8cm, 6cm
#set output "fig1_5.eps"
#-------------------------------------------


replot

set output
set size
set terminal wxt
reset
