############################################################
#                                                          #
#          Figure 1.6  "V-T of ideal gas & Ar"             #
#            Script for Gnuplot(ver. 5.2)                  #
#                                                          #
#   An Introduction to the Thermodynamics in Materials     #
#                  by Tadahiko Masaki CORONA PUB. CO.,LTD  #
#                                (ISBN 978-4-339-06648-7)  #
#                                                          #
############################################################

reset

set terminal wxt

set xrange[0:2500]
set yrange[0.0:200.0]
set xlabel "{/Arial=12 T [K]}"
set ylabel "{/Arial=12 V [m^3/mol]}"

set label 1 at first 2100,170 "{/Arial=12 0.1 MPa}"
set label 2 at first 2100,55 "{/Arial=12 0.5 MPa}"
set label 3 at first 2100,26 "{/Arial=12 1.0 MPa}"

set label 4 point pointtype 7 pointsize 1 at first 250,175
set label 5 "{/Arial=12 Ar}" at first 350, 175

set arrow from 200, 150 to 300, 150 nohead
set label 6 at first 350, 150 "{/Arial=12 ideal gas}"

set linetype 1 linewidth 1 linecolor rgb "black" dashtype 1

R = 8.314
P1 = 0.1*1000
P2 = 0.5*1000
P3 = 1.0*1000

plot R*x/P1 notitle lt 1, \
     R*x/P2 notitle lt 1, \
     R*x/P3 notitle lt 1, \
     "Ar_VT_0_1MPa.dat" using ($1):(39.948/$2) notitle pt 7, \
     "Ar_VT_0_5MPa.dat" using ($1):(39.948/$2) notitle pt 7, \
     "Ar_VT_1_0MPa.dat" using ($1):(39.948/$2) notitle pt 7


#--- output png format ---
set terminal png enhanced
set output "fig1_6.png"
#---------------------------------

#--- output eps format ---------------------
#set terminal postscript eps size 8cm, 6cm
#set output "fig1_6.eps"
#-------------------------------------------

replot

set output
set size
set terminal wxt

reset
