############################################################
#                                                          #
#          Figure 1.7  "P-v-T of ideal gas"                #
#            Script for Gnuplot(ver. 5.2)                  #
#                                                          #
#   An Introduction to the Thermodynamics in Materials     #
#                  by Tadahiko Masaki CORONA PUB. CO.,LTD  #
#                                (ISBN 978-4-339-06648-7)  #
#                                                          #
############################################################


set xrange[0.4:1]
set yrange[0.0:2]
set zrange[0:16]

set isosamples 15, 20
# view (rot around x-axis, rot around y-axis)
set view 120, 60
#set hidden3d

set xyplane at 0

set xlabel "{/Arial=16 T}"
unset xtics
set ylabel "{/Arial=16 v}"
unset ytics
set zlabel "{/Arial=16 P}"
unset ztics

set linetype 1 linewidth 1 linecolor rgb "black" dashtype 1

f(x, y)=8.31*x/y

splot f(x, y) notitle linetype 1

#--- output png format ---
set terminal png enhanced
set output "fig1_7.png"
#---------------------------------

#--- output eps format ---------------------
#set terminal postscript eps size 8cm, 6cm
#set output "fig1_7.eps"
#-------------------------------------------

replot

set output
set size
set terminal wxt
reset
