############################################################
#                                                          #
#          Figure 2.3  "Richard's law"                     #
#            Script for Gnuplot(ver. 5.2)                  #
#                                                          #
#   An Introduction to the Thermodynamics in Materials     #
#                  by Tadahiko Masaki CORONA PUB. CO.,LTD  #
#                                (ISBN 978-4-339-06648-7)  #
#                                                          #
############################################################


R = 8.314

set xrange[0:4000]
set yrange[0:40]

set xlabel "{/Arial T_m [K]}"
set ylabel "{/symbol D}{/Arial Q_m [kJ/mol]}"
#set ylabel "{/Symbol D}{/Arial Q_m [kJ/mol]}"

set arrow from 3000, R*10**-3*3000 to 3300, R*10**-3*3000 nohead
set arrow from 3300, R*10**-3*3000 to 3300, R*10**-3*3300 nohead
set label 1 at first 2800, 22 "{/Arial R=8.314[J/K mol]}"


plot "melting_point.dat" using ($2):($3) with point pointtype 7 notitle, \
     "melting_point.dat" using ($2):($3+2):($1) with labels font "Arial, 10" notitle, \
     R*10**-3*x notitle

set terminal png enhanced
set output "fig2_3.png"

#set terminal postscript eps size 9cm,7cm
#set output "fig2_4.eps"
replot

set output
set terminal wxt

reset

