############################################################
#                                                          #
#          Figure 2.4  "Trouton's rule"                    #
#            Script for Gnuplot(ver. 5.2)                  #
#                                                          #
#   An Introduction to the Thermodynamics in Materials     #
#                  by Tadahiko Masaki CORONA PUB. CO.,LTD  #
#                                (ISBN 978-4-339-06648-7)  #
#                                                          #
############################################################


R = 8.314

set xrange[0:6000]
set yrange[0:1000]

set xlabel "{/Arial T_b [K]}"
set ylabel "{/symbol D}{/Arial Q_b [kJ/mol]}"
#set ylabel "{/Symbol D}{/Arial Q_b [kJ/mol]}"


set arrow from 5000, 88*10**-3*5000 to 5600, 88*10**-3*5000 nohead
set arrow from 5600, 88*10**-3*5000 to 5600, 88*10**-3*5600 nohead
set label 1 at first 5000, 400 "{/Arial 88 [J/K mol]}"


plot "boiling_point.dat" using ($4):($5) with point pointtype 7 notitle, \
     "boiling_point.dat" using ($4):($5+50):($1) with labels notitle, \
     88.0*10**-3*x notitle

set terminal png enhanced
set output "fig2_4.png"

#set terminal postscript eps size 9cm,7cm
#set output "fig2_4.eps"

replot

set output
set terminal wxt

reset

