############################################################
#                                                          #
#          Figure 2.7  "z factor of Ar"                    #
#            Script for Gnuplot(ver. 5.2)                  #
#                                                          #
#   An Introduction to the Thermodynamics in Materials     #
#                  by Tadahiko Masaki CORONA PUB. CO.,LTD  #
#                                (ISBN 978-4-339-06648-7)  #
#                                                          #
############################################################

reset

set xrange [5:85]
set yrange [50:1000]
set zrange [0:2.5]

set xyplane at 0.0

set view 60,30

set xlabel "{/Arial P[MPa]}"
set ylabel "{/Arial T[K]}"
set zlabel "{/Arial z}"

set ytics 100 offset 0.5
#set hidden3d

M=39.9*10**-3


splot "PVT_Ar.dat" using ($1):($2):(1.0/($3/M)*($1*10**6)/8.314/$2) notitle with lines

set terminal png enhanced
set output "fig2_7.png"

#set terminal postscript eps size 9cm,9cm
#set output "fig2_7.eps"

replot

set output
set terminal wxt

reset



