############################################################
#                                                          #
#          Figure 2.7  "z factor of N2"                    #
#            Script for Gnuplot(ver. 5.2)                  #
#                                                          #
#   An Introduction to the Thermodynamics in Materials     #
#                  by Tadahiko Masaki CORONA PUB. CO.,LTD  #
#                                (ISBN 978-4-339-06648-7)  #
#                                                          #
############################################################


reset

set xrange [5:85]
set yrange [50:2000]
set zrange [0:3]

set xyplane at 0.0

set view 60,30

set xlabel "{/Arial P[MPa]}"
set ylabel "{/Arial T[K]}"
set zlabel "{/Arial z}"

set xtics 10 offset first 0, -100, 0
set ytics 500
#set hidden3d

M=28.0*10**-3

splot "PVT_N2.dat" using ($1):($2):(1.0/($3/M)*($1*10**6)/8.314/$2) notitle with lines

set terminal png enhanced
set output "fig2_8.png"

#set terminal postscript eps
#set output "fig2_8.eps"

replot

set output
set terminal wxt

reset






reset


