############################################################
#                                                          #
#          Figure 2.9  "z factor of NH3"                   #
#            Script for Gnuplot(ver. 5.2)                  #
#                                                          #
#   An Introduction to the Thermodynamics in Materials     #
#                  by Tadahiko Masaki CORONA PUB. CO.,LTD  #
#                                (ISBN 978-4-339-06648-7)  #
#                                                          #
############################################################

#
# z = PV/nRT = v/v_ideal
#

reset

set terminal wxt

#set terminal png enhanced
#set output "fig2_9.png"

#set terminal postscript eps size 9cm, 9cm
#set output "fig2_9.eps"

R = 8.314
T = 240.0
M=17.0*10**-3


set xyplane at 0.01

set view 60,30

set linetype 1 linewidth 1 linecolor rgb "black" dashtype 1

set xlabel "{/Arial P[MPa]}"
set ylabel "{/Arial T[K]}"
set zlabel "{/Arial z}"

set ytics 100

set xrange[0:100]
set yrange[210:700]
set zrange[0.01:1.2]

splot "T_PV_240K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_260K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_280K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_300K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_320K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_340K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_360K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_380K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_400K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_420K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_440K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_460K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_480K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_500K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_520K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_540K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_560K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_580K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_600K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_620K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_640K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_660K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_680K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "T_PV_700K_NH3.dat" using ($1):($3):($1*10**6*M/$2/R/$3) notitle w l lt 1, \
     "P_TV_00005_NH3.dat" using ($3):($1):($3*10**6*M/$2/R/$1) notitle w l lt 1, \
     "P_TV_00010_NH3.dat" using ($3):($1):($3*10**6*M/$2/R/$1) notitle w l lt 1, \
     "P_TV_00050_NH3.dat" using ($3):($1):($3*10**6*M/$2/R/$1) notitle w l lt 1, \
     "P_TV_00100_NH3.dat" using ($3):($1):($3*10**6*M/$2/R/$1) notitle w l lt 1, \
     "P_TV_00200_NH3.dat" using ($3):($1):($3*10**6*M/$2/R/$1) notitle w l lt 1, \
     "P_TV_00300_NH3.dat" using ($3):($1):($3*10**6*M/$2/R/$1) notitle w l lt 1, \
     "P_TV_00400_NH3.dat" using ($3):($1):($3*10**6*M/$2/R/$1) notitle w l lt 1, \
     "P_TV_00500_NH3.dat" using ($3):($1):($3*10**6*M/$2/R/$1) notitle w l lt 1, \
     "P_TV_00750_NH3.dat" using ($3):($1):($3*10**6*M/$2/R/$1) notitle w l lt 1, \
     "P_TV_01000_NH3.dat" using ($3):($1):($3*10**6*M/$2/R/$1) notitle w l lt 1, \
     "P_TV_01500_NH3.dat" using ($3):($1):($3*10**6*M/$2/R/$1) notitle w l lt 1, \
     "P_TV_02000_NH3.dat" using ($3):($1):($3*10**6*M/$2/R/$1) notitle w l lt 1, \
     "P_TV_03000_NH3.dat" using ($3):($1):($3*10**6*M/$2/R/$1) notitle w l lt 1, \
     "P_TV_04000_NH3.dat" using ($3):($1):($3*10**6*M/$2/R/$1) notitle w l lt 1, \
     "P_TV_05000_NH3.dat" using ($3):($1):($3*10**6*M/$2/R/$1) notitle w l lt 1, \
     "P_TV_06000_NH3.dat" using ($3):($1):($3*10**6*M/$2/R/$1) notitle w l lt 1, \
     "P_TV_08000_NH3.dat" using ($3):($1):($3*10**6*M/$2/R/$1) notitle w l lt 1, \
     "P_TV_10000_NH3.dat" using ($3):($1):($3*10**6*M/$2/R/$1) notitle w l lt 1, \


set terminal wxt
set output

reset
