############################################################
#                                                          #
#          Figure 3.4  "partial differential"              #
#            Script for Gnuplot(ver. 5.2)                  #
#                                                          #
#   An Introduction to the Thermodynamics in Materials     #
#                  by Tadahiko Masaki CORONA PUB. CO.,LTD  #
#                                (ISBN 978-4-339-06648-7)  #
#                                                          #
############################################################
#

set xrange[-1:1]
set yrange[-1:1]
set zrange[-2:2]

unset xtics
unset ytics
unset ztics

set isosamples 30, 30

# view (rot around x-axis, rot around y-axis)
#set view 120, 60

#set hidden3d

set xyplane at -2.0

set xlabel "{/Arial x}"
set ylabel "{/Arial y}"
set zlabel "{/Arial f(x,y)}"


f(x,y) = x*x+x*y-y*y
g1(x,y) = (y<-0.35) ? 1/0:f(x,y)
g2(x,y) = (y>=-0.35) ? 1/0:f(x,y)

x0=-0.5
y0=-0.3

dfdx(x,y) =  2*x+y
a = dfdx(x0,y0)
b = f(x0,y0)-a*x0

h(x,y) = a*x+b


set arrow from 1,y0,-2 to 1,y0,f(1,y0) nohead lw 2 dt 2
set arrow from -1,y0,-2 to -1,y0,f(-1,y0) nohead lw 2 dt 2
set arrow from -1,y0,-2 to 1,y0,-2 nohead lw 2 dt 2
set arrow from x0,-1,-2 to x0,1,-2 nohead lw 2 dt 2
set arrow from x0,y0,-2 to x0,y0,f(x0,y0) nohead lw 2 dt 2

set arrow from x0-0.5,y0,h(x0-0.5,y0) to x0+0.6,y0,h(x0+0.6,y0) nohead linewidth 2

set arrow from x0-0.2,y0, h(x0+0.2,y0) to x0-0.2,y0, h(x0-0.2,y0) nohead lw 2 lc rgb "black"
set arrow from x0-0.2,y0, h(x0+0.2,y0) to x0+0.2,y0, h(x0+0.2,y0) nohead lw 2 lc rgb "black"

set label 1 at first x0-0.45, y0, -0.7 "{/Arial (}{/Arial f/}}{/Arial x)_y}"
#set label 1 at first x0-0.45, y0, -0.7 "{/Arial (}{/Symbol \266 }{/Arial f/}{/Arial x)_y}"

#splot f(x, y) notitle linestyle 3
splot g1(x, y) notitle lw 1 lc rgb "black" dt 1, g2(x, y) notitle lw 1 lc rgb "black" dt 3



set terminal png enhanced
set output "fig3_4.png"

#set terminal postscript eps size 8cm, 6cm
#set output "fig3_4.eps"

replot

set output
set size
set terminal wxt
reset
