# zenbibun2
#

set terminal wxt size 800,600

set xrange[-2:2]
set yrange[-2:2]
set zrange[0:6]

set ticslevel 0

unset xtics
unset ytics
unset ztics

set isosamples 35, 35

# view (rot around x-axis, rot around y-axis)
set view 40, 50

set hidden3d

set xyplane at 0.0

set xlabel "{/Arial=15 x}"
set ylabel "{/Arial=15 y}"
set zlabel "{/Arial=15 f(x,y)}"

g1(x,y) =(y<0) ? 0: (x>0) ? 0:0.5*y*y
g2(x,y) = exp(-x*x-y*y)

f(x,y) = g1(x,y) + 1.2*g2(x,y)

dx = 0.25
dy = 0.25

x0=0
y0=-1.0
x1=x0+dx
y1=y0+dy
x2=x0+2*dx
y2=y0+2*dy
x3=x0+3*dx
y3=y0+3*dy
x4=x0+4*dx
y4=y0+4*dy
x5=x0+5*dx
y5=y0+5*dy
x6=x0+6*dx
y6=y0+6*dy
x7=x0+7*dx
y7=y0+7*dy
x8=x0+8*dx
y8=y0+8*dy
x9=x0+9*dx
y9=y0+9*dy
x10=x0+10*dx
y10=y0+10*dy

set label 1 point pointtype 7 pointsize 1 at first x0, y0, f(x0, y0)

set arrow from x0, y0, f(x0,y0) to x1,y0,f(x1,y0) linewidth 3 nohead
set arrow from x1, y0, f(x1,y0) to x2,y0,f(x2,y0) linewidth 3 nohead
set arrow from x2, y0, f(x2,y0) to x4,y0,f(x4,y0) linewidth 3

set arrow from x4, y0, f(x4,y0) to x4,y1,f(x4,y1) linewidth 3 nohead
set arrow from x4, y1, f(x4,y1) to x4,y2,f(x4,y2) linewidth 3 nohead
set arrow from x4, y2, f(x4,y2) to x4,y3,f(x4,y3) linewidth 3 nohead
set arrow from x4, y3, f(x4,y3) to x4,y4,f(x4,y4) linewidth 3 nohead
set arrow from x4, y4, f(x4,y4) to x4,y5,f(x4,y5) linewidth 3 nohead
set arrow from x4, y5, f(x4,y5) to x4,y6,f(x4,y6) linewidth 3 nohead
set arrow from x4, y6, f(x4,y6) to x4,y7,f(x4,y7) linewidth 3 nohead
set arrow from x4, y7, f(x4,y7) to x4,y8,f(x4,y8) linewidth 3 nohead
set arrow from x4, y8, f(x4,y8) to x4,y10,f(x4,y10) linewidth 3

set arrow from x4, y10, f(x4,y10) to x3,y10,f(x3,y10) linewidth 3 nohead
set arrow from x3, y10, f(x3,y10) to x2,y10,f(x2,y10) linewidth 3 nohead
set arrow from x2, y10, f(x2,y10) to x0+0.1,y10,f(x0+0.1,y10) linewidth 3

set label 2 point pointtype 7 pointsize 1 at first x0+0.1, y10, f(x0+0.1, y10)

set arrow from x0, y0, f(x0,y0) to -x1,y0,f(-x1,y0) linewidth 3 nohead
set arrow from -x1, y0, f(-x1,y0) to -x2,y0,f(-x2,y0) linewidth 3 nohead
set arrow from -x2, y0, f(-x2,y0) to -x4,y0,f(-x4,y0) linewidth 3

set arrow from -x4, y0, f(-x4,y0) to -x4,y1,f(-x4,y1) linewidth 3 nohead
set arrow from -x4, y1, f(-x4,y1) to -x4,y2,f(-x4,y2) linewidth 3 nohead
set arrow from -x4, y2, f(-x4,y2) to -x4,y3,f(-x4,y3) linewidth 3 nohead
set arrow from -x4, y3, f(-x4,y3) to -x4,y4,f(-x4,y4) linewidth 3 nohead
set arrow from -x4, y4, f(-x4,y4) to -x4,y5,f(-x4,y5) linewidth 3 nohead
set arrow from -x4, y5, f(-x4,y5) to -x4,y6,f(-x4,y6) linewidth 3 nohead
set arrow from -x4, y6, f(-x4,y6) to -x4,y7,f(-x4,y7) linewidth 3 nohead
set arrow from -x4, y7, f(-x4,y7) to -x4,y8,f(-x4,y8) linewidth 3 nohead
set arrow from -x4, y8, f(-x4,y8) to -x4,y10,f(-x4,y10) linewidth 3

set arrow from -x4, y10, f(-x4,y10) to -x3,y10,f(-x3,y10) linewidth 3 nohead
set arrow from -x3, y10, f(-x3,y10) to -x2,y10,f(-x2,y10) linewidth 3 nohead
set arrow from -x2, y10, f(-x2,y10) to -x0,y10,f(-x0,y10) linewidth 3

set label 3 point pointtype 7 pointsize 1 at first x0, y10, f(x0, y10)

set label 4 at first x0, y0, f(x0, y0)+0.5 "{/Arial=15 A}"
set label 5 at first x0, y10, f(x0, y10)+0.5 "{/Arial=15 B}"
set label 6 at first x0+0.1, y10, f(x0+0.1, y10)+0.5 "{/Arial=15 B'}"


splot f(x,y) notitle lw 1 lc rgb "black" dt 1

set terminal png enhanced size 800,600
set output "fig3_7.png"

#set terminal postscript eps size 12cm, 9cm
#set output "fig3_7.eps"

replot

set output
set size
set terminal wxt
reset
