############################################################
#                                                          #
#          Figure 4.8  "U(V,T) of ideal gas"               #
#            Script for Gnuplot(ver. 5.2)                  #
#                                                          #
#   An Introduction to the Thermodynamics in Materials     #
#                  by Tadahiko Masaki CORONA PUB. CO.,LTD  #
#                                (ISBN 978-4-339-06648-7)  #
#                                                          #
############################################################

set xrange[-10:10]
set yrange[-10:10]
set zrange[-10:10]

unset xtics
unset ytics
unset ztics

set xyplane at 0.0

set isosamples 11, 11

set view 60,60

set ticslevel 0.1

set hidden3d

set xlabel "{/Arial=15 V}"
set ylabel "{/Arial=15 T}"
set zlabel "{/Arial=15 u(V,T)}"

Ax=0
Ay=-5
Bx=0
By=5

f(x,y)=y

set label 1 point pointtype 7 pointsize 1 at first Ax, Ay,f(Ax,Ay)
set label 11 "{/Arial=15 A}" at first Ax, Ay,f(Ax,Ay)+3
set label 12 "{/Arial=15 u_A}" at first -10,-12, f(Ax,Ay)

set label 2 point pointtype 7 pointsize 1 at first Bx, By,f(Bx,By)
set label 21 "{/Arial=15 B}" at first Bx, By,f(Bx,By)+3
set label 22 "{/Arial=15 u_B}" at first -10,-12, f(Bx,By)

set arrow from Ax,Ay,f(Ax,Ay) to -10,Ay,f(Ax,Ay) nohead lw 1 dt 3
set arrow from -10,Ay,f(Ax,Ay) to -10,-10,f(Ax,Ay) nohead lw 1 dt 3

set arrow from Bx,By,f(Bx,By) to -10,By,f(Bx,By) nohead lw 1 dt 3
set arrow from -10,By,f(Bx,By) to -10,-10,f(Bx,By) nohead lw 1 dt 3

set arrow from Ax,Ay,f(Ax,Ay) to Bx,By,f(Bx,By) linewidth 2


splot f(x,y) notitle lw 1 lc rgb "black" dt 1

set terminal png enhanced
set output "fig4_8.png"

#set terminal postscript eps size 8cm, 6cm
#set output "fig4_8.eps"

replot
set output
set terminal wxt
reset








reset
