############################################################
#                                                          #
#          Figure 5.1  "adiabatic process of ideal gas"    #
#            Script for Gnuplot(ver. 5.2)                  #
#                                                          #
#   An Introduction to the Thermodynamics in Materials     #
#                  by Tadahiko Masaki CORONA PUB. CO.,LTD  #
#                                (ISBN 978-4-339-06648-7)  #
#                                                          #
############################################################

set xrange[0.1:1.5]
set yrange[0.0:2]
set zrange[0:20]

set isosamples 13, 13
set view 120, 80, 1, 1.2
#set hidden3d

set xyplane at 0.0

set xlabel "{/Arial=15 T}"
unset xtics
set ylabel "{/Arial=15 v}" 
unset ytics
set zlabel "{/Arial=15 P}" 
unset ztics


VA = 0.667
TA = 1.25

VB = 1.5
TB = TA*(VA/VB)**0.667


dV=0.1
V1 = VA+dV
T1 = TA*(VA/V1)**0.667
V2 = V1+dV
T2 = TA*(VA/V2)**0.667
V3 = V2+dV
T3 = TA*(VA/V3)**0.667
V4 = V3+dV
T4 = TA*(VA/V4)**0.667
V5 = V4+dV
T5 = TA*(VA/V5)**0.667
V6 = V5+dV
T6 = TA*(VA/V6)**0.667
V7 = V6+dV
T7 = TA*(VA/V7)**0.667


f(x, y)=8.31*x/y

set label 1 point pointtype 7 pointsize 1 at first TA, VA, f(TA, VA)
set label 11 "{/Arial=15 A}" at first TA, VA, f(TA, VA)+2
set label 2 point pointtype 7 pointsize 1 at first TB, VB, f(TB, VB)
set label 21 "{/Arial=15 B}" at first TB, VB, f(TB, VB)+2

set arrow from TA, VA, f(TA, VA) to T1, V1, f(T1, V1) nohead linewidth 2
set arrow from T1, V1, f(T1, V1) to T2, V2, f(T2, V2) nohead linewidth 2
set arrow from T2, V2, f(T2, V2) to T3, V3, f(T3, V3) nohead linewidth 2
set arrow from T3, V3, f(T3, V3) to T4, V4, f(T4, V4) nohead linewidth 2
set arrow from T4, V4, f(T4, V4) to T5, V5, f(T5, V5) nohead linewidth 2
set arrow from T5, V5, f(T5, V5) to T6, V6, f(T6, V6) nohead linewidth 2
set arrow from T6, V6, f(T6, V6) to TB, VB, f(TB, VB) linewidth 2


splot f(x, y) notitle lw 1 lc rgb "black" dt 1



set terminal png enhanced
set output "fig5_1.png"

#set terminal postscript eps size 8cm, 6cm
#set output "fig5_1.eps"

replot

set output
set terminal wxt
reset
