############################################################
#                                                          #
#    Figure 5.10  "Entropy change due to heat transfer"    #
#            Script for Gnuplot(ver. 5.2)                  #
#                                                          #
#   An Introduction to the Thermodynamics in Materials     #
#                  by Tadahiko Masaki CORONA PUB. CO.,LTD  #
#                                (ISBN 978-4-339-06648-7)  #
#                                                          #
############################################################


set xrange[0:60]
set yrange[0:2]

set xlabel "{/Arial=15 =T'_1-T_M"
#set xlabel "{/Symbol=15 t}{/Arial=15 =T'_1-T_M"
set ylabel "{/Arial=15 S}"
#set ylabel "{/Symbol=15 D}{/Arial=15 S}"

T1=200
T2=100
TM=(T1+T2)*0.5

set label 1 at first 40,1.6 "{/Arial=15 T_1=200[K]}"
set label 2 at first 40,1.5 "{/Arial=15 T_2=100[K]}"
set label 3 at first 40,1.4 "{/Arial=15 T_M=150[K]}"

set arrow from 55,0.5 to 50,0 lw 1 lc rgb "black" dt 1
set label 11 at first 52, 0.6 "{/Arial=15 =T_1-T_M}"
#set label 11 at first 52, 0.6 "{/Symbol=15 t}{/Arial=15 =T_1-T_M}"

set arrow from 10,1 to 0, 1.45 lw 1 lc rgb "black" dt 1
set label 12 at first 10,0.9 "{/Arial=15 =0}"
#set label 12 at first 10,0.9 "{/Symbol=15 t}{/Arial=15 =0}"

s(x)=1.5*8.31*(log(TM*TM-x*x)-log(T1*T2))

plot s(x) notitle lw 2 lc rgb "black" 

set terminal png enhanced
set output "fig5_10.png"

#set terminal postscript eps size 8cm,6cm
#set output "fig5_10.eps"

replot

set output
set terminal wxt
reset
