############################################################
#                                                          #
#          Figure 5.7  "Entropy of ideal gas"              #
#            Script for Gnuplot(ver. 5.2)                  #
#                                                          #
#   An Introduction to the Thermodynamics in Materials     #
#                  by Tadahiko Masaki CORONA PUB. CO.,LTD  #
#                                (ISBN 978-4-339-06648-7)  #
#                                                          #
############################################################



R = 8.314
Cv = 1.5*R

set isosamples 13, 13
set view 120, 80, 1, 1.2

#set hidden3d

set xyplane at -5.0

f(x,y) = Cv*log(x)+R*log(y)

set xrange [0:5]
set yrange [0:5]
set zrange [0:50]

set xlabel "{/Arial=15 v}"
set ylabel "{/Arial=15 T}"
set zlabel "{/Arial=15 S}"

unset xtics
unset ytics
unset ztics

splot f(x,y) notitle lw 1 lc rgb "black" dt 1

set terminal png enhanced
set output "fig5_7.png"

#set terminal postscript eps
#set output "fig5_7.eps"

replot

set terminal wxt
set output
reset


