############################################################
#                                                          #
#          Figure 6.2  "S(U,V) of ideal gas"               #
#            Script for Gnuplot(ver. 5.2)                  #
#                                                          #
#   An Introduction to the Thermodynamics in Materials     #
#                  by Tadahiko Masaki CORONA PUB. CO.,LTD  #
#                                (ISBN 978-4-339-06648-7)  #
#                                                          #
############################################################

set xrange[0:10]
set yrange[0:10]
set zrange[-2:10]

set isosamples 15, 15
set view 120, 100,1,1.2
#set hidden3d

#set ticslevel 0.3
set xyplane at -3.0

set xlabel "{/Arial U}"
unset xtics
set ylabel "{/Arial V}" 
unset ytics
set zlabel "{/Arial S(U,V)}" 
unset ztics


f(x,y)= 1+log(x**1.5*y)

splot f(x, y) notitle lw 1 lc rgb "black" dt 1

set terminal png enhanced
set output "fig6_2.png"

#set terminal postscript eps
#set output "fig6_2.eps"

replot

set output
set terminal wxt
reset
