############################################################
#                                                          #
#          Figure 7.1  "U(S,V) of ideal gas"               #
#            Script for Gnuplot(ver. 5.2)                  #
#                                                          #
#   An Introduction to the Thermodynamics in Materials     #
#                  by Tadahiko Masaki CORONA PUB. CO.,LTD  #
#                                (ISBN 978-4-339-06648-7)  #
#                                                          #
############################################################


set xrange[0:5]
set yrange[0:5]
set zrange[0:30]

set isosamples 15, 15
set view 120, 30,1,1.2
#set hidden3d

set xyplane at 0.0

set xlabel "{/Arial S_r}"
unset xtics
set ylabel "{/Arial V_r}" 
unset ytics
set zlabel "{/Arial U_r(S_r,V_r)}" 
unset ztics


set arrow from 0.0,0.0,0.0 to 1.0,0.0,0.0 lw 2 lc rgb "black" dt 1
set arrow from 0.0,0.0,0.0 to 0.0,1.0,0.0 lw 2 lc rgb "black" dt 1
set arrow from 0.0,0.0,0.0 to 0.0,0.0,10.0 lw 2 lc rgb "black" dt 1

set label 1 at first 0.0,0.0,0.0 point pointtype 7 pointsize 1


f(x,y)= exp(1.5*(x-1))/y**1.5



splot f(x, y) notitle lw 1 lc rgb "black" dt 1



set terminal png enhanced
set output "fig7_1.png"

#set terminal postscript eps
#set output "fig7_1.eps"

replot

set output
set terminal wxt
reset
