############################################################
#                                                          #
#      Figure 8.4  "reduced van der Waals eauation"        #
#            Script for Gnuplot(ver. 5.2)                  #
#                                                          #
#   An Introduction to the Thermodynamics in Materials     #
#                  by Tadahiko Masaki CORONA PUB. CO.,LTD  #
#                                (ISBN 978-4-339-06648-7)  #
#                                                          #
############################################################

reset

set xrange [0:5]
set yrange [0.9:1.2]
set zrange [0:2]

set isosamples 21, 31

set xyplane at 0.00

set view 60, 45, 1, 1.2

#set hidden3d

set lmargin 15

set xlabel "v/v_C" offset first 0,-0.05,0
set ylabel "T/T_C"  offset first 1, 0, 0
set zlabel "P/P_C"

set xtics offset first 0,-0.03,0
set ytics offset first 0.3,0,0

x1a=0.6033
x1b=2.3513
y1=0.9
z1=0.646643

x2a=0.6161
x2b=2.2211
y2=0.91
z2=0.677673

x3a=0.6301
x3b=2.0901
y3=0.92
z3=0.70975

x4a=0.646
x4b=1.963
y4=0.93
z4=0.743194

x5a=0.664
x5b=1.844
y5=0.94
z5=0.777082

x6a=0.684
x6b=1.724
y6=0.95
z6=0.81179

x7a=0.709
x7b=1.609
y7=0.96
z7=0.847508

x8a=0.738
x8b=1.488
y8=0.97
z8=0.884279

set arrow from x1a, y1, z1 to x1b, y1, z1 nohead
set arrow from x2a, y2, z2 to x2b, y2, z2 nohead
set arrow from x3a, y3, z3 to x3b, y3, z3 nohead
set arrow from x4a, y4, z4 to x4b, y4, z4 nohead
set arrow from x5a, y5, z5 to x5b, y5, z5 nohead
set arrow from x6a, y6, z6 to x6b, y6, z6 nohead
set arrow from x7a, y7, z7 to x7b, y7, z7 nohead
set arrow from x8a, y8, z8 to x8b, y8, z8 nohead

P(x, y)=(x<0.3334) ? 1/0:8*y/(3*x-1)-3/(x*x)

splot P(x, y) notitle lw 1 lc rgb "black" dt 1, \
      "LG_VdW.dat" notitle w l lw 2 lc rgb "black" dt 1



set terminal png enhanced
set output "fig8_4.png"

#set terminal postscript eps
#set output "fig8_4.eps"

replot

set terminal wxt
set output

reset
