############################################################
#                                                          #
#          Figure 9.3  "Cp of gas & liquid Aceton"         #
#            Script for Gnuplot(ver. 5.2)                  #
#                                                          #
#   An Introduction to the Thermodynamics in Materials     #
#                  by Tadahiko Masaki CORONA PUB. CO.,LTD  #
#                                (ISBN 978-4-339-06648-7)  #
#                                                          #
############################################################

set terminal wxt

set xrange[275:450]
set yrange[60:140]

set xlabel "{/Arial=16 T (K)}"
set ylabel "{/Arial=16 C_P (J/K mol)}"

set label 1 at first 280, 115 "{/Arial=14 liquid}"
set label 2 at first 400, 85 "{/Arial=14 gas}"

set arrow from 329.5,70 to 329.6,60
set label 3 at first 327, 75 "{/Arial=14 b.p.}"

f1(x)=a1*x+b1
f2(x)=a2*x+b2

fit f1(x) "CP_aceton_gas.dat" using 1:2 via a1, b1
fit f2(x) "CP_aceton_liq.dat" using 1:2 via a2, b2

plot "CP_aceton_gas.dat" notitle with points pointtype 7, \
     "CP_aceton_liq.dat" notitle with points pointtype 7, \
     f1(x) notitle lw 1 lc rgb "black" dt 1, \
     f2(x) notitle lw 1 lc rgb "black" dt 1

set terminal png enhanced
set output "CP_aceton.png"

#set terminal postscript eps
#set output "fig9_3.eps"

replot

set output
set terminal wxt
reset
