############################################################
#                                                          #
#          Figure 9.5  "S, H, G of Cu2O"                   #
#            Script for Gnuplot(ver. 5.2)                  #
#                                                          #
#   An Introduction to the Thermodynamics in Materials     #
#                  by Tadahiko Masaki CORONA PUB. CO.,LTD  #
#                                (ISBN 978-4-339-06648-7)  #
#                                                          #
############################################################
#

set terminal wxt

#set terminal png enhanced
#set output "fig9_5.png"

#set terminal postscript eps
#set output "fig9_5.eps"

h(x)=-3.36*10**5-1.70*10**5/x+4.28*x+9.14*10**-3*x**2
s(x)=-1.80*10**2-8.50*10**4/x**2+1.83*10**-2*x+4.28*log(x)
g(x)=-4.28*x*log(x)-9.16*10**-3*x**2+185*x-85000/x-336000

set multiplot

# delta H & delta S

set lmargin at screen 0.20
set rmargin at screen 0.70
set bmargin at screen 0.50
set tmargin at screen 0.90

set xrange[300:2100]
set yrange[-375:-75]
set y2range[-375:-75]

set xtics 500
set format x ""
set ytics nomirror
set y2tics

set ylabel "{/Arial H (kJ/mol)}"
#set ylabel "{/Symbol D}{/Arial H (kJ/mol)}"
set y2label "{/Arial S (J/K mol)}"
#set y2label "{/Symbol D}{/Arial S (J/K mol)}"

set label 1 at first 800,-310 "{/Arial H}"
#set label 1 at first 800,-310 "{/Symbol D}{/Arial H}"
set label 2 at first 1000,-115 "{/Arial S}"
#set label 2 at first 1000,-115 "{/Symbol D}{/Arial S}"

plot h(x)/1000 notitle lw 1 lc rgb "black" dt 1, \
     s(x) notitle axes x1y2 lw 1 lc rgb "black" dt 1

unset label 1
unset label 2

# delta G

set lmargin at screen 0.20
set rmargin at screen 0.70
set bmargin at screen 0.15
set tmargin at screen 0.50

set xrange[300:2100]
set yrange[-375:-25]
set xtics 500
set format x "%.0f"
set format y2 ""

set xlabel "{/Arial T(K)}"
set ylabel "{/Arial G (kJ/mol)}"
#set ylabel "{/Symbol D}{/Arial G (kJ/mol)}"
unset y2label

set label 3 at first 900,-170 "{/Arial G}"
#set label 3 at first 900,-170 "{/Symbol D}{/Arial G}"

plot g(x)/1000 notitle lw 1 lc rgb "black" dt 1

unset multiplot


set terminal wxt
set output
reset
